﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;
using System.Data;

public partial class PanelBar_Default : System.Web.UI.Page
{
	protected void Page_Load(object sender, EventArgs e)
	{

		if (!IsPostBack)
		{
			RadPanelBar1.DataSource = CreateTestTable();
			//Establish hierarchy:   
			RadPanelBar1.DataFieldID = "ID";
			RadPanelBar1.DataFieldParentID = "ParentID";
			//Set Text, Value, and NavigateUrl:   
			RadPanelBar1.DataTextField = "Text";
			RadPanelBar1.DataValueField = "ID";
			RadPanelBar1.DataBind();
			var item1 = RadPanelBar1.Items[0];
			item1.Expanded = true;
		}
	}
	protected void pbCategory_ItemDataBound(object sender, Telerik.Web.UI.RadPanelBarEventArgs e)
	{
			
	}


	private DataTable CreateTestTable()
	{
		DataTable table = new DataTable();
		table.Columns.Add("ID");
		table.Columns.Add("ParentID");
		table.Columns.Add("Text");
		table.Columns.Add("URL");
		table.Columns.Add("Tooltip");
		table.Rows.Add(new string[] { "1", null, "root 1", "root 1 tooltip" });
		table.Rows.Add(new string[] { "2", null, "root 2", "root 1 tooltip" });
		table.Rows.Add(new string[] { "3", null, "root 3", "child 1.1 tooltip" });
		table.Rows.Add(new string[] { "4", "1", "child 1.2", "child 1.2 tooltip" });
		table.Rows.Add(new string[] { "5", "1", "child 1.3", "child 1.3 tooltip" });
		table.Rows.Add(new string[] { "6", "2", "child 2.1", "child 1.3.1 tooltip" });
		table.Rows.Add(new string[] { "7", "2", "child 2.2", "child 1.3.2 tooltip" });
		table.Rows.Add(new string[] { "8", "3", "child 3.1", "child 1.3.3 tooltip" });
		return table;
	}
}